<form [formGroup]="form" (ngSubmit)="saveProduct($event)">
    <mat-card>
        <mat-card-header>Producto</mat-card-header>
        <mat-card-content>
            <div>
                <mat-form-field>
                    <input matInput formControlName="id" placeholder="id" type="text" name="id">
                </mat-form-field>
            </div>
            <div>
                <mat-form-field>
                    <input matInput formControlName="title" placeholder="title" type="text" name="title">
                </mat-form-field>
            </div>
            <div>
                <mat-form-field>
                    <input matInput formControlName="price" placeholder="price" type="number" name="price">
                </mat-form-field>
                <span *ngIf="form.get('price').hasError('price_invalid')">No es valido</span>
            </div>
            <div>
                <mat-form-field>
                    <textarea matInput formControlName="description" placeholder="Description"
                        name="description"></textarea>
                </mat-form-field>
            </div>
            <div>
                <button [disabled]="!form.valid" mat-button mat-raised-button type="submit">{{ form.valid }}</button>
            </div>
        </mat-card-content>
    </mat-card>
</form>